
package com.tmerclub.cloud.distribution.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;


/**
 * 商家转账
 *
 * @author tmerclub
 * @date 2023-02-22 15:58:50
 */
public class EnterprisePay extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 商家转账ID
     */
    private Long entPayId;

    /**
     * 状态(1:申请中 2:已完成 -1:失败)
     */
    private Integer status;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户openid
     */
    private String openId;

    /**
     * 商家转账订单号
     */
    private Long entPayOrderNo;

    /**
     * 金额
     */
    private Long amount;

    /**
     * 支付类型(1:商户提现)
     */
    private Integer type;

    /**
     * 业务id，如商户提现即商户提现记录ID
     */
    private Long bizId;

    /**
     * 版本号
     */
    private Integer version;

    /**
     * 转账批次单号
     */
    private String outBatchNo;

    public Long getEntPayId() {
        return entPayId;
    }

    public void setEntPayId(Long entPayId) {
        this.entPayId = entPayId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public Long getEntPayOrderNo() {
        return entPayOrderNo;
    }

    public void setEntPayOrderNo(Long entPayOrderNo) {
        this.entPayOrderNo = entPayOrderNo;
    }

    public Long getAmount() {
        return amount;
    }

    public void setAmount(Long amount) {
        this.amount = amount;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Long getBizId() {
        return bizId;
    }

    public void setBizId(Long bizId) {
        this.bizId = bizId;
    }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }

    public String getOutBatchNo() {
        return outBatchNo;
    }

    public void setOutBatchNo(String outBatchNo) {
        this.outBatchNo = outBatchNo;
    }

    @Override
    public String toString() {
        return "EnterprisePay{" +
                "entPayId=" + entPayId +
                ",status=" + status +
                ",userId=" + userId +
                ",openId=" + openId +
                ",entPayOrderNo=" + entPayOrderNo +
                ",amount=" + amount +
                ",type=" + type +
                ",bizId=" + bizId +
                ",version=" + version +
                ",createTime=" + createTime +
                ",updateTime=" + updateTime +
                ",outBatchNo=" + outBatchNo +
                '}';
    }
}
